package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

@Data
public class CommercialVo {
    @NotBlank(groups = {EditGroup.class})
    private String commercialId;

    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String commercialName;
    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String code;

    private String commercialType;
    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String principalName;
    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String principalTelephone;
    private String prove1;
    private String prove2;
    private String prove3;
    private String prove4;
    private String prove5;
    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String addrCode;
    private String addrCodeInfo;
    @NotBlank(groups = {AddGroup.class, EditGroup.class})
    private String addrInfo;
    private LocalDateTime createTime;
    private Integer deleted;

    private String searchText;

    private int pageNum = 1;

    private int pageSize = 10;
}
